import request from '@/utils/request'

// 查询OpEx项目跟踪列表
export function listOpextrack(query) {
  return request({
    url: '/plant/opextrack/list',
    method: 'get',
    params: query
  })
}

// 查询OpEx项目跟踪详细
export function getOpextrack(id) {
  return request({
    url: '/plant/opextrack/' + id,
    method: 'get'
  })
}

// 新增OpEx项目跟踪
export function addOpextrack(data) {
  return request({
    url: '/plant/opextrack',
    method: 'post',
    data: data
  })
}

// 修改OpEx项目跟踪
export function updateOpextrack(data) {
  return request({
    url: '/plant/opextrack',
    method: 'put',
    data: data
  })
}

// 删除OpEx项目跟踪
export function delOpextrack(id) {
  return request({
    url: '/plant/opextrack/' + id,
    method: 'delete'
  })
}

// 导出OpEx项目跟踪
export function exportOpextrack(query) {
  return request({
    url: '/plant/opextrack/export',
    method: 'get',
    params: query
  })
}
